| Home | Libraries | People | FAQ | More

## Function template move

boost::move

## Synopsis

    // In header: <boost/move/utility_core.hpp>

    template<typename T> rvalue_reference move(input_reference);

## Description

This function provides a way to convert a reference into a rvalue reference in compilers with rvalue references. For other compilers if `T` is Boost.Move enabled type then it converts `T&` into `::boost::rv<T> &` so that move emulation is activated, else it returns `T &`.